import type { _MTRTestClusterClusterSimpleStruct } from "./MTRTestClusterClusterSimpleStruct.js";
import type { _MTRUnitTestingClusterNestedStruct } from "./MTRUnitTestingClusterNestedStruct.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRTestClusterClusterNestedStruct extends _MTRUnitTestingClusterNestedStruct {
    static alloc(): _MTRTestClusterClusterNestedStruct;
    static new(): _MTRTestClusterClusterNestedStruct;
    init(): _MTRTestClusterClusterNestedStruct;
    a(): _NSNumber;
    setA$(value: _NSNumber): void;
    b(): _NSNumber;
    setB$(value: _NSNumber): void;
    c(): _MTRTestClusterClusterSimpleStruct;
}
